Array type resource authentication
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
Array type resource authentication, supports users to perform permission judgment on one or more array resources
Method name
AuthenticationClient.checkPermissionByArrayResource
Request parameters
| Name | Type | Required | Default value | Description | Example value |
|---|---|---|---|---|---|
| resources | string[] | Yes | - | Array data resource path list, | ["exampleArrayResource1","exampleArrayResource2"] |
| action | string | Yes | - | Data resource permission operation, read, get, write and other actions | get |
Sample code
ts
import { AuthenticationClient, Models } from "authing-node-sdk";
const authenticationClient = new AuthenticationClient({
// Need to be replaced with your GenAuth AppId, Secret and Host
appId: "GEN_AUTH_APP_ID",
appSecret: "GEN_AUTH_APP_SECRET",
appHost: "GEN_AUTH_APP_HOST",
});
(async () => {
// Please call the login interface to get access_token first, and call the setAccessToken method to set access_token
authenticationClient.setAccessToken("REPLACE_ME_WITH_REAL_ACCESS_TOKEN");
const result = await authenticationClient.checkPermissionByArrayResource({
action: "get",
resources: ["arrayExampleResourceCode1", "arrayExampleResourceCode2"],
});
console.log(JSON.stringify(result, null, 2));
})();Request response
Type: CheckResourcePermissionsRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List |
| requestId | string | Request ID. Returned when the request fails. |
| data | <a CheckResourcePermissionDataDto | Response data |
Sample result:
json
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"checkResultList": {
"namespaceCode": "examplePermissionNamespace",
"action": "get",
"resource": "exampleResource",
"enabled": true
}
}
}Data structure
CheckResourcePermissionDataDto
| Name | Type | Is it required | Description | Example value |
|---|---|---|---|---|
| checkRresultList | array | yes | check result list Nested type: <a CheckResourcePermissionRespDto. |
CheckResourcePermissionRespDto
| Name | Type | Is it required? | Description | Example value |
|---|---|---|---|---|
| namespaceCode | string | Yes | Permission space Code | examplePermissionNamespace |
| action | string | Yes | Data resource permission operation | get |
| resource | string | Yes | Resource path | exampleResource |
| enabled | boolean | Yes | Whether the user has a certain operation on the data resource under a certain permission space | true |